import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional(),
  userId: z.number().int().optional()
}).strict();
export const AiSettingsWhereUniqueInputObjectSchema: z.ZodType<Prisma.AiSettingsWhereUniqueInput> = makeSchema() as unknown as z.ZodType<Prisma.AiSettingsWhereUniqueInput>;
export const AiSettingsWhereUniqueInputObjectZodSchema = makeSchema();
